Bug 858248 - [RFE]: scl command should have bash completion. PATCH included.
[RFE]: scl command should have bash completion. PATCH included.
Product: Fedora
Classification: Fedora
Component: scl-utils (Show other bugs)
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: 858251
  Show dependency treegraph
Reported: 2012-09-18 08:31 EDT by Miroslav Hradílek
Modified: 2013-07-02 19:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 858251 (view as bug list)
Last Closed: 2012-09-21 06:40:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed patch (1.15 KB, application/octet-stream)
2012-09-18 08:33 EDT, Miroslav Hradílek
no flags Details
Proposed patch v1.1 (1.16 KB, application/octet-stream)
2012-09-21 06:51 EDT, Miroslav Hradílek
no flags Details

  None (edit)
Description Miroslav Hradílek 2012-09-18 08:31:38 EDT
Description of problem:

Utility scl is called on a regular basis and it is annoying to write everything by hand every time.

Expected results:

Bash completion should complete available scriptlets and collections automatically.
Comment 1 Miroslav Hradílek 2012-09-18 08:33:26 EDT
Created attachment 613999 [details]
Proposed patch

Also Patch added :)
Comment 2 Jindrich Novy 2012-09-21 05:45:22 EDT
Hi Miroslav, thanks for the autocompletion script!

Just a few points I noticed while using it for autocompletion:

$ scl -l

$ scl enable <tab>

expands to:

$ scl enable example123-

which doesn't seem to be correct. The correct result should be:

$ scl enable example

turning to:

$ scl enable example123

after the next tab.

Could you please fix the completition script so that I can apply it upstream?

Comment 3 Jindrich Novy 2012-09-21 06:40:39 EDT
Ok, consulted that with Miroslav and did minor modifications. It is now comitted to upstream.
Comment 4 Miroslav Hradílek 2012-09-21 06:51:44 EDT
Created attachment 615376 [details]
Proposed patch v1.1

Nev version: Searching for collections in /etc/scl/prefixes now as proposed. Only installed collections should be listed this way.

Note You need to log in before you can comment on or make changes to this bug.